Bug 228051

Summary: [iOS] [AX] Keyboard text candidates don't update when changing selection using Switch Control
Product: WebKit Reporter: Wenson Hsieh <wenson_hsieh>
Component: AccessibilityAssignee: Wenson Hsieh <wenson_hsieh>
Status: RESOLVED FIXED    
Severity: Normal CC: aboxhall, andresg_22, apinheiro, cfleizach, dmazzoni, ehutchison, ews-watchlist, jcraig, jdiggs, megan_gardner, samuel_white, thorton, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
WIP for EWS
ews-feeder: commit-queue-
Fix macOS build
none
Patch none

Description Wenson Hsieh 2021-07-17 16:34:08 PDT
rdar://79944295
Comment 1 Radar WebKit Bug Importer 2021-07-17 16:34:18 PDT Comment hidden (obsolete)
Comment 2 Wenson Hsieh 2021-07-17 17:09:20 PDT Comment hidden (obsolete)
Comment 3 Wenson Hsieh 2021-07-17 17:17:55 PDT
Created attachment 433736 [details]
Fix macOS build
Comment 4 Wenson Hsieh 2021-07-18 08:33:00 PDT
Comment on attachment 433736 [details]
Fix macOS build

Thanks for the review!
Comment 5 EWS 2021-07-18 08:41:44 PDT
Committed r280019 (239761@main): <https://commits.webkit.org/239761@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 433736 [details].
Comment 6 Wenson Hsieh 2021-07-19 11:55:28 PDT
Reopening to attach new patch.
Comment 7 Wenson Hsieh 2021-07-19 11:55:29 PDT
Created attachment 433807 [details]
Patch
Comment 8 EWS 2021-07-19 12:29:47 PDT
Committed r280041 (239776@main): <https://commits.webkit.org/239776@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 433807 [details].